import {SafeAreaView, ScrollView, Text, View} from "react-native";
import React from "react";
import WorkoutCardComponent from "@/components/WorkoutCardComponent";
import Screen from "@/components/ui/Screen";
import CalendarComponent from "@/components/CalendarComponent";
import WelcomeComponent from "@/components/WelcomeComponent";
import ActivitiesComponent from "@/components/ActivitiesComponent";


export default function HomeScreen() {

    return (
            <Screen>
            <ScrollView>

                <View >
                    <WelcomeComponent/>
                </View>


                <View className="mt-2">
                    <View className="flex-row justify-between items-center mb-4">
                        <Text className="text-lg font-bold text-black">Fitness Metrics</Text>
                        <Text className="text-orange-500 font-semibold">See All</Text>
                    </View>
                    <CalendarComponent/>
                </View>

            <View className="mt-2">
                <View className="flex-row justify-between items-center mb-4">
                    <Text className="text-lg font-bold text-black">Workout</Text>
                    <Text className="text-orange-500 font-semibold">See All</Text>
                </View>
                <WorkoutCardComponent/>
            </View>



                <View className="mt-2">
                    <View className="flex-row justify-between items-center mb-4">
                        <Text className="text-lg font-bold text-black">Activities</Text>
                        <Text className="text-orange-500 font-semibold">See All</Text>
                    </View>
                    <ActivitiesComponent/>
                </View>



            </ScrollView>
            </Screen>
    );
}