import {Image, Text, TouchableOpacity, View} from "react-native";
import {Ionicons} from "@expo/vector-icons";
import React from "react";

export default function WelcomeComponent() {
    const date = new Date();
    const formattedDate = date.toLocaleDateString('fr-FR', {
        year: 'numeric',
        month: 'long',
        day: 'numeric',
    });

    return (
      <View className="rounded-2xl overflow-hidden shadow-lg h-auto bg-black pb-4">

          <View className="flex-row m-4 ">
              <Ionicons name="calendar" size={24} color="white" />
              <Text className="text-gray-400 text-2xl mb-2 ml-1">{formattedDate}</Text>

          </View>

          <View className="flex-row items-center justify-between m-2">
              <View className="flex-row items-center">
                  <Image className="h-20 w-24 rounded-2xl"
                         source={require("assets/images/sigma-profile.jpeg")}
                  />
                  <Text className="text-white text-4xl font-extrabold ml-2 ">Hello, Tata Yoyo!</Text>
              </View>
          </View>

      </View>
  );
}